Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client
Class MapWidget.MapAnimation

    java.lang.Object
      com.maryanovsky.gwtutils.client.ui.Animation
          com.maryanovsky.map.client.MapWidget.MapAnimation

Enclosing class:
  MapWidget

    public abstract static class MapWidget.MapAnimation

extends Animation

The superclass for map-related animations.

Field Summary

Fields inherited from class com.maryanovsky.gwtutils.client.ui.Animation
`DEFAULT_FPS`

Constructor Summary
`MapWidget.MapAnimation(int duration)` Creates a new `MapWidget.MapAnimation` with the specified duration.
`MapWidget.MapAnimation(int duration, int fps)` Creates a new `MapWidget.MapAnimation` with the specified duration and desired frames-per-second.

Method Summary
`void` | `beforeMagnificationChange(double magnification, PointView fixedPoint)` Invoked when this animation is a `MapWidget`'s current running animation and the magnification is about to be changed.
`void` | `beforeTemporaryOffsetChange(PointView newTemporaryOffset)` Invoked when this animation is a `MapWidget`'s current running animation and the temporary offset is about to be changed.

Methods inherited from class com.maryanovsky.gwtutils.client.ui.Animation
`animationEnd, animationStart, end, getDuration, getFps, getHalfSinusoidalProgress, getLinearProgress, getSinusoidalProgress, isRunning, nextFrame, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapWidget.MapAnimation

    public MapWidget.MapAnimation(int duration,
                                  int fps)

  Creates a new `MapWidget.MapAnimation` with the specified duration and desired frames-per-second.

### MapWidget.MapAnimation

    public MapWidget.MapAnimation(int duration)

  Creates a new `MapWidget.MapAnimation` with the specified duration.

Method Detail

### beforeTemporaryOffsetChange

    public void beforeTemporaryOffsetChange(PointView newTemporaryOffset)

  Invoked when this animation is a `MapWidget`'s current running animation and the temporary offset is about to be changed. The default implementation does nothing.

### beforeMagnificationChange

    public void beforeMagnificationChange(double magnification,
                                          PointView fixedPoint)

  Invoked when this animation is a `MapWidget`'s current running animation and the magnification is about to be changed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD